Get entity metadata

Prev Next
Get
/v1/EntityExport/{exportId}/metadata

Returns the exported entity’s field headers and data formats for the export identified by exportId.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
exportId
stringRequired

Unique identifier for the export process returned in a successful 201 response from the POST Send entity metadata request.

Responses
200

Entity metadata returned successfully.

Expand All
object
entitySystemName
string

System name of the logical entity to export. Contact your Zilliant representative to get your entity name.

ExampleMy_Data
definition
object
newlineType
string

Enter the operating system name to use the correct newline character.

Valid values[ "WINDOWS", "MAC", "UNIX" ]
Default"WINDOWS"
ExampleWINDOWS
quoteMode
string

Define which fields are text qualified. Note that " is always a text qualifier.

Valid values[ "MINIMAL", "ALL", "ALL_NON_NULL", "NON_NUMERIC", "NONE" ]
Default"MINIMAL"
ExampleALL
locale
string

Locale. For supported values, read JDK 11 Supported Locales.

Default"en-US"
Exampleen-US
fieldDelimiter
string

Field delimiter. All commonly used delimiters are supported, such as ,, |, \t (the only supported value for tab), ~, ;, and others.

Default","
Example,
dateFormat
string

Date format. The format must follow the rules defined in the Java SimpleDateFormat class documentation.

Note: Use MM for months and mm for minutes.

Default"yyyy-MM-dd"
Exampledd-MM-yyyy
dateTimeFormat
string

Date-time format. The format must follow the rules defined in the Java SimpleDateFormat class documentation.

Note: Use MM for months and mm for minutes.

Default"yyyy-MM-dd'T'HH:mm:ss.SSS"
Exampledd-MM-yyyy HH:mm:ss
decimalSeparator
string

Decimal separator.

Valid values[ ".", "," ]
Default"."
Example.
groupingSeparator
string

Thousands separator.

Valid values[ ".", "," ]
Default","
Example,
currencySymbol
string

Currency symbol. You can enter any currency symbol supported by Oracle's JDK 11.

Default"$"
Example$
percentSymbol
string

Percent symbol.

Default"%"
Example%
ignoreSurroundingSpaces
boolean

Define whether to ignore white spaces when exporting data. Supported values:

  • true—Ignore white spaces.
  • false—Preserve white spaces.
Valid values[ true, false ]
Defaultfalse
Exampletrue
filter
string

OData-compliant expression to export only those records that meet the defined criteria.

Examplecity ne 'Austin' or city eq null
filters
Array of object Deprecated

Filters to export only those records that meet the defined criteria.

object
field
string

Entity field name. Contact your Zilliant representative to get your entity field names.

ExamplePrice
value
Array of string

Array of values for filtering the field. If you enter multiple values, the service interprets them as a compound OR expression. For example, ["Austin","Chicago"] is "Austin OR Chicago".

Example[ "1000" ]
string
operator
string

Filter operator.

Valid values[ "eq", "ne", "lt", "le", "gt", "ge", "and", "or" ]
Examplegt
valueType
string

Enter the field data type.

ExampleSTRING
fields
Array of object

Field mapping from entity fields to file columns.

object
systemName
string

System name of the entity field. Contact your Zilliant representative to get your entity field names.

ExampleProduct_Id
csvColumnName
string

Column name in the exported file.

ExampleProductID
400

Not valid parameters received.

404

Entity not found.

500

Service failed to process the request.